import request from "@/utils/request"

// 签到
export const createRewardSignInRecord = (data) => {
  return request({
    url: '/app-api/menduner/reward/sign-in/record/create',
    method: 'POST',
    data,
    custom: {
      auth: true,
      showLoading: false
    }
  })
}


// 获得个人签到统计
export const getRewardSignInRecordSummary = () => {
  return request({
    url: '/app-api/menduner/reward/sign-in/record/get-summary',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 获得签到记录分页
export const getRewardSignInRecordPage = (pageNo, pageSize) => {
  return request({
    url: `/app-api/menduner/reward/sign-in/record/page?pageSize=${pageSize}&pageNo=${pageNo}`,
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 获取签到规则列表
export const getRewardSignInConfigList = () => {
  return request({
    url: '/app-api/menduner/reward/sign-in/config/list',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 获取账户余额
export const getAccountBalance = () => {
  return request({
    url: '/app-api/pay/wallet/get',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 获取积分余额
export const getUserAccount = () => {
  return request({
    url: '/app-api/menduner/system/mde-user/get/account',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: false
    }
  })
}

// 福利 领领取优惠券
export const takeCoupon = (templateId) => {
  return request({
    url: '/app-api/promotion/coupon/take',
    method: 'POST',
    data: { templateId },
    custom: {
      auth: true,
      showLoading: true,
      loadingMsg: '领取中',
      showSuccess: true,
      successMsg: '领取成功'
    }
  })
}
// 福利 优惠券ID
export const getDiyTemplate = (ids) => {
  return request({
    url: '/app-api/promotion/coupon-template/list-by-ids',
    method: 'GET',
    params: {
      ids
    },
    custom: {
      showError: false,
      showLoading: false,
    }
  })
}
// 福利 获取商城模板
export const getDiyTemplateUsed = () => {
  return request({
    url: '/app-api/promotion/diy-template/used',
    method: 'GET',
    custom: {
      showError: false,
      showLoading: false,
    }
  })
}